| Flutter iOS Embedder |

Classes | Functions | Variables
FlutterTextInputPlugin.h File Reference
`#import <UIKit/UIKit.h>`
`#import "flutter/shell/platform/common/text_editing_delta.h"`
`#import "flutter/shell/platform/darwin/common/framework/Headers/FlutterChannels.h"`
`#import "flutter/shell/platform/darwin/ios/framework/Source/FlutterIndirectScribbleDelegate.h"`
`#import "flutter/shell/platform/darwin/ios/framework/Source/FlutterKeySecondaryResponder.h"`
`#import "flutter/shell/platform/darwin/ios/framework/Source/FlutterTextInputDelegate.h"`
`#import "flutter/shell/platform/darwin/ios/framework/Source/FlutterViewResponder.h"`

Go to the source code of this file.

## Classes
class | FlutterTextInputPlugin
class | FlutterTextPosition
class | FlutterTextRange
class | FlutterTokenizer
class | FlutterTextSelectionRect
category | UIView(FindFirstResponder)

## Functions
typedef | NS_ENUM (NSInteger, FlutterScribbleFocusStatus)
typedef | NS_ENUM (NSInteger, FlutterScribbleInteractionStatus)
UITextSmartQuotesType smartQuotesType | API_AVAILABLE (ios(11.0))
UITextContentType textContentType | API_AVAILABLE (ios(10.0))
UIEditMenuInteraction *editMenuInteraction | API_AVAILABLE (ios(16.0))

## Variables
API_AVAILABLE(ios(13.0)) @interface FlutterTextPlaceholder UITextRange * | selectedTextRange
UITextRange * | markedTextRange
NSDictionary * | markedTextStyle
id< UITextInputDelegate > | inputDelegate
NSMutableArray * | pendingDeltas
UITextAutocapitalizationType | autocapitalizationType
UITextAutocorrectionType | autocorrectionType
UITextSpellCheckingType | spellCheckingType
BOOL | enablesReturnKeyAutomatically
UIKeyboardAppearance | keyboardAppearance
UIKeyboardType | keyboardType
UIReturnKeyType | returnKeyType
BOOL | secureTextEntry
BOOL | enableDeltaModel
UIAccessibilityElement * | backingTextInputAccessibilityObject
id< FlutterViewResponder > | viewResponder
FlutterScribbleFocusStatus | scribbleFocusStatus
NSArray< FlutterTextSelectionRect * > * | selectionRects
void | resetScribbleInteractionStatusIfEnding
BOOL | isScribbleAvailable
instancetype init | NS_UNAVAILABLE
instancetype | initWithCoder
instancetype | initWithFrame
instancetype | initWithOwner
CGRect | localRectFromFrameworkTransform
CGRect | caretRectForPosition

## Function Documentation

## ◆ API_AVAILABLE() [1/3]

UITextContentType textContentType API_AVAILABLE | ( | ios(10.0) |  | ) |
| read write nonatomic copy

## ◆ API_AVAILABLE() [2/3]

UITextSmartDashesType smartDashesType API_AVAILABLE | ( | ios(11.0) |  | ) |
| read write nonatomic assign

## ◆ API_AVAILABLE() [3/3]

UIEditMenuInteraction* editMenuInteraction API_AVAILABLE | ( | ios(16.0) |  | ) |
| read write nonatomic strong

## ◆ NS_ENUM() [1/2]

typedef NS_ENUM | ( | NSInteger | ,
|  | FlutterScribbleFocusStatus |
| ) |  |

Definition at line 17 of file FlutterTextInputPlugin.h.

17 {
18 // NOLINTBEGIN(readability-identifier-naming)
19 FlutterScribbleFocusStatusUnfocused,
20 FlutterScribbleFocusStatusFocusing,
21 FlutterScribbleFocusStatusFocused,
22 // NOLINTEND(readability-identifier-naming)
23 };

## ◆ NS_ENUM() [2/2]

typedef NS_ENUM | ( | NSInteger | ,
|  | FlutterScribbleInteractionStatus |
| ) |  |

Definition at line 25 of file FlutterTextInputPlugin.h.

25 {
26 // NOLINTBEGIN(readability-identifier-naming)
27 FlutterScribbleInteractionStatusNone,
28 FlutterScribbleInteractionStatusStarted,
29 FlutterScribbleInteractionStatusEnding,
30 // NOLINTEND(readability-identifier-naming)
31 };

## Variable Documentation

## ◆ autocapitalizationType

UITextAutocapitalizationType autocapitalizationType
| read write nonatomic assign

Definition at line 152 of file FlutterTextInputPlugin.h.

## ◆ autocorrectionType

UITextAutocorrectionType autocorrectionType
| read write nonatomic assign

Definition at line 153 of file FlutterTextInputPlugin.h.

## ◆ backingTextInputAccessibilityObject

UIAccessibilityElement* backingTextInputAccessibilityObject
| read write nonatomic weak

Definition at line 165 of file FlutterTextInputPlugin.h.

## ◆ caretRectForPosition

CGRect caretRectForPosition

Definition at line 185 of file FlutterTextInputPlugin.h.

## ◆ enableDeltaModel

BOOL enableDeltaModel
| read write nonatomic assign

Definition at line 160 of file FlutterTextInputPlugin.h.

## ◆ enablesReturnKeyAutomatically

BOOL enablesReturnKeyAutomatically
| read write nonatomic assign

Definition at line 155 of file FlutterTextInputPlugin.h.

## ◆ initWithCoder

instancetype initWithCoder

Definition at line 178 of file FlutterTextInputPlugin.h.

## ◆ initWithFrame

instancetype initWithFrame

Definition at line 179 of file FlutterTextInputPlugin.h.

## ◆ initWithOwner

instancetype initWithOwner

Definition at line 180 of file FlutterTextInputPlugin.h.

## ◆ inputDelegate

id<UITextInputDelegate> inputDelegate
| read write nonatomic weak

Definition at line 148 of file FlutterTextInputPlugin.h.

## ◆ isScribbleAvailable

BOOL isScribbleAvailable

Definition at line 174 of file FlutterTextInputPlugin.h.

## ◆ keyboardAppearance

UIKeyboardAppearance keyboardAppearance
| read write nonatomic assign

Definition at line 156 of file FlutterTextInputPlugin.h.

## ◆ keyboardType

UIKeyboardType keyboardType
| read write nonatomic assign

Definition at line 157 of file FlutterTextInputPlugin.h.

## ◆ localRectFromFrameworkTransform

CGRect localRectFromFrameworkTransform

Definition at line 184 of file FlutterTextInputPlugin.h.

## ◆ markedTextRange

UITextRange* markedTextRange
| read write nonatomic strong

Definition at line 146 of file FlutterTextInputPlugin.h.

## ◆ markedTextStyle

NSDictionary* markedTextStyle
| read write nonatomic copy

Definition at line 147 of file FlutterTextInputPlugin.h.

## ◆ NS_UNAVAILABLE

instancetype new NS_UNAVAILABLE

Definition at line 176 of file FlutterTextInputPlugin.h.

## ◆ pendingDeltas

NSMutableArray* pendingDeltas
| read write nonatomic strong

Definition at line 149 of file FlutterTextInputPlugin.h.

## ◆ resetScribbleInteractionStatusIfEnding

void resetScribbleInteractionStatusIfEnding

Definition at line 173 of file FlutterTextInputPlugin.h.

## ◆ returnKeyType

UIReturnKeyType returnKeyType
| read write nonatomic assign

Definition at line 158 of file FlutterTextInputPlugin.h.

## ◆ scribbleFocusStatus

FlutterScribbleFocusStatus scribbleFocusStatus
| read write nonatomic assign

Definition at line 169 of file FlutterTextInputPlugin.h.

## ◆ secureTextEntry

BOOL secureTextEntry
| read write nonatomic assign

Definition at line 159 of file FlutterTextInputPlugin.h.

## ◆ selectedTextRange

API_AVAILABLE (ios(13.0)) @interface FlutterTextPlaceholder UITextRange* selectedTextRange
| read write copy

Definition at line 145 of file FlutterTextInputPlugin.h.

## ◆ selectionRects

NSArray<FlutterTextSelectionRect*>* selectionRects
| read write nonatomic strong

Definition at line 170 of file FlutterTextInputPlugin.h.

## ◆ spellCheckingType

UITextSpellCheckingType spellCheckingType
| read write nonatomic assign

Definition at line 154 of file FlutterTextInputPlugin.h.

## ◆ viewResponder

id<FlutterViewResponder> viewResponder
| read write nonatomic weak

Definition at line 168 of file FlutterTextInputPlugin.h.